<?php
session_start();
include "../conexion.php";
$usu_id=$_SESSION['usu_id'];
if(!empty($_POST))
{
    $ajud_id=$_POST['id'];
    $articulo_art_id=$_POST['ajud_art_id']; 
    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial = $_POST['serial'];
        $valores_no_vacios = 0;

        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            $valores_no_vacios++;
        }
        $valores_no_vacios;
    }

    $number = $valores_no_vacios;  
    if($number > 0)  
    {  
        for($i=0; $i<$number; $i++)  
        {  
            if(trim($_POST["serial"][$i]) != '') 
            $dato1=mb_strtoupper($_POST["serial"][$i]); 
            {
            $sql = "INSERT INTO seriales_ajus_temp (ajudt_art_id,ser_aju,usuario,ajuste_detalle_id) VALUES('$articulo_art_id','".$dato1."','$usu_id','$ajud_id')";  
                 mysqli_query($con, $sql);  
            } 
        }
        echo '<div class="alert alert-success alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>Serial!</strong> Registrado correctamente.
            </div>'; 
          
    } 
}
?>  